<<form #postEditForm="ngForm" (ngSubmit)="onSubmit(this.id, postEditForm.value)">
  <div class="modal-header">
    <h4 class="modal-title">Here you can edit your post!</h4>
    <button type="button" class="close" aria-label="Close" (click)="activeModal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div>
      <label for="title">Title</label>
      <input #titleInput="ngModel" type="text" class="form-control" id="title-input" placeholder="Title" name="title"
        ngModel>
    </div>
    <div>
      <label for="content">Content</label>
      <input #contentInput="ngModel" type="text" class="form-control" id="content-input" placeholder="Content"
        name="content" ngModel>
    </div>


  </div>
  <div class="modal-footer">
    <button type="submit" class="btn btn-outline-success" (click)="onClick()">Submit</button>
    <button class="btn btn-outline-dark" (click)="activeModal.close('Close click')">Close</button>
  </div>
  </form>